Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

Remove gem-deps from Rakefile to avoid duplicates in .gemspec and reg…

  • Loading branch information...
commit 93027d3417beb8442787fa330be6330dbcf48565 1 parent 765ee98
@johanlunds johanlunds authored
Showing with 4 additions and 24 deletions.
  1. +2 −6 Rakefile
  2. +2 −18 roles_generic.gemspec
View
8 Rakefile
@@ -7,15 +7,11 @@ begin
gem.email = "kmandrup@gmail.com"
gem.homepage = "http://github.com/kristianmandrup/roles_generic"
gem.authors = ["Kristian Mandrup"]
+
+ # See Gemfile for regular dependencies
gem.add_development_dependency "rspec", ">= 2.0.1"
gem.add_development_dependency "generator-spec", ">= 0.7.2"
- gem.add_dependency "require_all", "~> 1.2.0"
- gem.add_dependency "activesupport", ">= 3.0.1"
- gem.add_dependency 'sugar-high', "~> 0.3.1"
- gem.add_dependency 'rails3_artifactor', '~> 0.3.2'
- gem.add_dependency 'logging_assist', '>= 0.2.0'
-
# gem is a Gem::Specification... see http://www.rubygems.org/read/chapter/20 for additional settings
end
Jeweler::GemcutterTasks.new
View
20 roles_generic.gemspec
@@ -9,7 +9,7 @@ Gem::Specification.new do |s|
s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
s.authors = ["Kristian Mandrup"]
- s.date = %q{2011-01-21}
+ s.date = %q{2011-02-09}
s.description = %q{Generic role strategies sharing the same API. Easy to insert in any model}
s.email = %q{kmandrup@gmail.com}
s.extra_rdoc_files = [
@@ -86,7 +86,7 @@ Gem::Specification.new do |s|
]
s.homepage = %q{http://github.com/kristianmandrup/roles_generic}
s.require_paths = ["lib"]
- s.rubygems_version = %q{1.3.7}
+ s.rubygems_version = %q{1.5.0}
s.summary = %q{Generic role strategies sharing the same API}
s.test_files = [
"spec/generator_spec_helper.rb",
@@ -108,7 +108,6 @@ Gem::Specification.new do |s|
]
if s.respond_to? :specification_version then
- current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
s.specification_version = 3
if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
@@ -119,11 +118,6 @@ Gem::Specification.new do |s|
s.add_runtime_dependency(%q<logging_assist>, [">= 0.2.0"])
s.add_development_dependency(%q<rspec>, [">= 2.0.1"])
s.add_development_dependency(%q<generator-spec>, [">= 0.7.2"])
- s.add_runtime_dependency(%q<require_all>, ["~> 1.2.0"])
- s.add_runtime_dependency(%q<activesupport>, [">= 3.0.1"])
- s.add_runtime_dependency(%q<sugar-high>, ["~> 0.3.1"])
- s.add_runtime_dependency(%q<rails3_artifactor>, ["~> 0.3.2"])
- s.add_runtime_dependency(%q<logging_assist>, [">= 0.2.0"])
else
s.add_dependency(%q<require_all>, ["~> 1.2.0"])
s.add_dependency(%q<activesupport>, [">= 3.0.1"])
@@ -132,11 +126,6 @@ Gem::Specification.new do |s|
s.add_dependency(%q<logging_assist>, [">= 0.2.0"])
s.add_dependency(%q<rspec>, [">= 2.0.1"])
s.add_dependency(%q<generator-spec>, [">= 0.7.2"])
- s.add_dependency(%q<require_all>, ["~> 1.2.0"])
- s.add_dependency(%q<activesupport>, [">= 3.0.1"])
- s.add_dependency(%q<sugar-high>, ["~> 0.3.1"])
- s.add_dependency(%q<rails3_artifactor>, ["~> 0.3.2"])
- s.add_dependency(%q<logging_assist>, [">= 0.2.0"])
end
else
s.add_dependency(%q<require_all>, ["~> 1.2.0"])
@@ -146,11 +135,6 @@ Gem::Specification.new do |s|
s.add_dependency(%q<logging_assist>, [">= 0.2.0"])
s.add_dependency(%q<rspec>, [">= 2.0.1"])
s.add_dependency(%q<generator-spec>, [">= 0.7.2"])
- s.add_dependency(%q<require_all>, ["~> 1.2.0"])
- s.add_dependency(%q<activesupport>, [">= 3.0.1"])
- s.add_dependency(%q<sugar-high>, ["~> 0.3.1"])
- s.add_dependency(%q<rails3_artifactor>, ["~> 0.3.2"])
- s.add_dependency(%q<logging_assist>, [">= 0.2.0"])
end
end
Please sign in to comment.
Something went wrong with that request. Please try again.